apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  creationTimestamp: '2023-09-26T03:28:05Z'
  generation: 1
  managedFields:
    - apiVersion: tekton.dev/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:params': {}
          'f:resources':
            .: {}
            'f:inputs': {}
            'f:outputs': {}
          'f:steps': {}
      manager: kubectl-create
      operation: Update
      time: '2023-09-26T03:28:05Z'
  name: echo-task
  namespace: jk
  resourceVersion: '11057315'
  uid: b5c2803d-c98e-4a45-8e5c-cc6b8986e82d
spec:
  params:
    - name: echo-string
      type: string
  resources:
    inputs:
      - name: src-repo
        type: git
    outputs:
      - name: baked-image
        type: image
  steps:
    - command:
        - /bin/bash
        - '-c'
        - echo
        - $(inputs.params.echo-string)
      image: registry.redhat.io/ubi7/ubi-minimal
      name: ''
      resources: {}

